Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineAccessSpec

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineAccessSpec

All Implemented Interfaces:
  AccessSpec

public class EngineAccessSpec
extends java.lang.Object
implements AccessSpec

Method Summary
`void` | `addOpSpec(OpSpec opSpec)` Add an operation spec to the end of the list associated with this access spec.
`java.lang.String` | `getName()` Return the name of this AccessSpec.
`java.util.List` | `getOpSpecs()` Get the list of OpSpecs in this AccessSpec.
`boolean` | `getStopOnError()`
`void` | `setName(java.lang.String name)` Set the name of this AccessSpec.
`void` | `setOpSpecs(java.util.List opSpecs)` Set the list of OpSpecs in this AccessSpec.
`void` | `setStopOnError(boolean stopOnError)` Sets the stopOnError flag for this access spec.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getName

    public java.lang.String getName()

  Description copied from interface: `AccessSpec`
  Return the name of this AccessSpec. This is used to associate the spec with the correct AccessReport in the PCWriteReport.

  Specified by:
    `getName` in interface `AccessSpec`
  Returns:
    the name of this AccessSpec

### setName

    public void setName(java.lang.String name)

  Description copied from interface: `AccessSpec`
  Set the name of this AccessSpec. This is used to associate the spec with the correct AccessReport in the PCWriteReport.

  Specified by:
    `setName` in interface `AccessSpec`

### getOpSpecs

    public java.util.List getOpSpecs()

  Description copied from interface: `AccessSpec`
  Get the list of OpSpecs in this AccessSpec. Each of these is an OpSpec object that represents an operation that should be performed on each tag in field.

  Specified by:
    `getOpSpecs` in interface `AccessSpec`
  Returns:
    the list of OpSpecs this AccessSpec performs.

### setOpSpecs

    public void setOpSpecs(java.util.List opSpecs)

  Description copied from interface: `AccessSpec`
  Set the list of OpSpecs in this AccessSpec.

  Specified by:
    `setOpSpecs` in interface `AccessSpec`
  Parameters:
    `opSpecs` - the List of operation specs this access spec should perform
  See Also:
    `getOpSpecs`

### addOpSpec

    public void addOpSpec(OpSpec opSpec)

  Description copied from interface: `AccessSpec`
  Add an operation spec to the end of the list associated with this access spec.

  Specified by:
    `addOpSpec` in interface `AccessSpec`
  Parameters:
    `opSpec` - the operation spec to add to the end of the list
  See Also:
    `getOpSpecs`

### getStopOnError

    public boolean getStopOnError()

  Specified by:
    `getStopOnError` in interface `AccessSpec`
  Returns:
    true if this access spec should attempt to stop processing operations when it encounters an error

### setStopOnError

    public void setStopOnError(boolean stopOnError)

  Description copied from interface: `AccessSpec`
  Sets the stopOnError flag for this access spec. If stopOnError is true, an access spec attempts to stop processing operations when it encounters an error

  Specified by:
    `setStopOnError` in interface `AccessSpec`
  Parameters:
    `stopOnError` - the new value for the Access Spec's stopOnError flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD